using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.StoragesContracts
{
    public interface IResumeStorage
    {
        List<ResumeViewModel> GetFullList();
        List<ResumeViewModel> GetFilteredList(ResumeSearchModel model);
        ResumeViewModel? GetElement(ResumeSearchModel model);
        ResumeViewModel? Insert(ResumeBindingModel model);
        ResumeViewModel? Update(ResumeBindingModel model);
        ResumeViewModel? Delete(ResumeBindingModel model);
    }
}
